﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		// ロード
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			this.pictureBox1.BackColor = this.gradationButton5.StartColor;
			this.pictureBox2.BackColor = this.gradationButton5.EndColor;
			this.pictureBox3.BackColor = this.gradationButton5.FlatAppearance.BorderColor;
			this.pictureBox4.BackColor = this.gradationButton5.FlatAppearance.MouseDownBackColor;
			this.pictureBox5.BackColor = this.gradationButton5.FlatAppearance.MouseOverBackColor;
			this.numericUpDown1.Value = this.gradationButton5.FlatAppearance.BorderSize;
		}

		// 色設定ボタンクリック
		private void button_Click(object sender, EventArgs e)
		{
			using (ColorDialog dlg = new ColorDialog())
			{
				PictureBox pictureBox = null;
				if (sender == this.button1)
				{
					pictureBox = this.pictureBox1;
				}
				if (sender == this.button2)
				{
					pictureBox = this.pictureBox2;
				}
				if (sender == this.button3)
				{
					pictureBox = this.pictureBox3;
				}
				if (sender == this.button4)
				{
					pictureBox = this.pictureBox4;
				}
				if (sender == this.button5)
				{
					pictureBox = this.pictureBox5;
				}

				if (DialogResult.Cancel == dlg.ShowDialog(this))
				{
					return;
				}
				pictureBox.BackColor = dlg.Color;
			}
		}


		// FlatStyle + FlatAppearance の設定ボタンクリック
		private void gradationButton5_Click(object sender, EventArgs e)
		{
			try
			{
				// FlatStyle + FlatAppearance の設定を反映
				this.gradationButton5.StartColor = this.pictureBox1.BackColor;
				this.gradationButton5.EndColor = this.pictureBox2.BackColor;
				this.gradationButton5.FlatAppearance.BorderColor = this.pictureBox3.BackColor;
				this.gradationButton5.FlatAppearance.MouseDownBackColor = this.pictureBox4.BackColor;
				this.gradationButton5.FlatAppearance.MouseOverBackColor = this.pictureBox5.BackColor;
				this.gradationButton5.FlatAppearance.BorderSize = (int)this.numericUpDown1.Value;
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}

	}
}
